package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag756;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT756Creator;

public class Tag72ZCreator extends AbsTagCreate {
    private MT756Creator mt756Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt756Creator= (MT756Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72ZValue = mt756Creator.getSendertoReceiverInformation();
        mt756Creator.set("72Z", tag72ZValue);
    }
}
